package register

import (
	"git.urbach.dev/cli/q/src/asm"
	"git.urbach.dev/cli/q/src/cpu"
	"git.urbach.dev/cli/q/src/scope"
)

// Machine is a register usage aware assembler.
type Machine struct {
	scope.Stack
	Assembler       asm.Assembler
	CPU             *cpu.CPU
	RegisterHistory []cpu.State
}
