package core

import (
	"git.urbach.dev/cli/q/src/ast"
	"git.urbach.dev/cli/q/src/token"
)

// CompileTokens compiles a token list.
func (f *Function) CompileTokens(tokens []token.Token) error {
	tree, err := ast.Parse(tokens, f.File)

	if err != nil {
		return err
	}

	return f.CompileAST(tree)
}
